Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15467

Description

The node tool fails to move the first selected node.

1. Start editing session with toggle editing

2. select node tool

3. select a vertex and move it.

nothing has happened!

now if another vertex is moved the tool works correctly

tested on QGIS 1.9.0-Master

History

#1 - 2012-08-01 04:20 AM - Giuseppe Sucameli

- Status changed from Open to Feedback

The supposed working behavior is:

the first click selects the polygon you'll work on (red squares are displayed over the selected polygon vertexes), 

then the next mouse drag'n'drop operations really move the vertexes of the selected polygon.

Are you talking about that or anything different?

#2 - 2012-08-01 05:55 AM - Luca Lanteri

No it's different:

with the first click I select the polygon, now I try to move the vertex with another click but when i relase the button it returns to the original position. At the

second try all works fine.

#3 - 2012-08-02 03:21 AM - Giovanni Manghi

is this a regression in master since 1.8?
#4 - 2012-08-03 01:52 AM - Luca Lanteri

in 1.8 it works fine !

#5 - 2012-08-03 05:10 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Operating System deleted (Win7)

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

mescal72 - wrote:

in 1.8 it works fine !

then it is a regression and so it is a blocker issue

#6 - 2012-08-03 10:45 AM - Giuseppe Sucameli

I cannot reproduce it.

Does the issue occur with every vector layer you edit?

#7 - 2012-08-03 11:21 PM - Luca Lanteri

I test it on ubuntu 12.04 and it works.

The problem remains on win 7. I have to try with a fresh installation ?

#8 - 2012-08-05 05:13 AM - Giovanni Manghi

- Status changed from Open to Feedback

mescal72 - wrote:

I test it on ubuntu 12.04 and it works.

The problem remains on win 7. I have to try with a fresh installation ?

please try at least on another windows machine.

#9 - 2012-12-25 05:48 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

closing for lack of feedback and because it seems to have been fixed long ago.
